// Note: This file is called through chrc each time when ch is invoked
// This file must be located in the user's home directory to be effective.
//######################################################################
// umask(0022);
//_warning = 3;      // print all warning. default is 1 with serious warning message only
//_formatf = ".6f";  // output format for float
//_formatd = ".6lf"; // output format for double
//_ignoreeof = 1;    // ignore EOF. defalut is 0
_path = stradd(_path,   ".;");
//_ppath = stradd(_ppath, "/add/package/path;");
//_fpath = stradd(_fpath, "/add/function/path;");
//_ipath = stradd(_ipath, "/add/headerfile/path;");
//_lpath = stradd(_lpath, "/add/dynloadlib/path;");
//_pathext = stradd(_pathext, ";.ch");

//#define RLIMIT_CORE  4
//struct rlimit {int rlim_cur, rlim_max;} rl={0,0}; 
//setrlimit(RLIMIT_CORE, &rl); /* no core dump */

// putenv("TERM=ansi");

/* default prompt "cwd> " becomes "cwdn #> " or "user@host:cwdn #> " */
if(_prompt != NULL) {
  // _prompt = stradd(_cwd, " ", _histnum, "> ");
  // _prompt = stradd(_user, "@", _host, ":", _cwdn, " ", _histnum, "> ");
}

/***** add your personal aliases or commands here */
alias("ls", "ls -F");
// alias("ls", "ls --color=auto");    // for Linux
alias("rm", "rm -i");
alias("mv", "mv -i");
alias("cp", "cp -i");
//alias("logout", "exit");
// alias("h",  "history");
// alias("go", "cd /usr/local/ch/demos/lib/libch/plot/ref");
// alias("opentgz", "gzip -cd _argv[1] | tar -xvf -");
// alias("findp", "find . -name _argv[1] -print");
// alias("findg", "find . -name _argv[1] | xargs grep _arg[2]");
// alias("xterm", "xterm -sf -sl 512");
